## shotcut 22.09.23+ds

=== src/CMakeLists.txt ===
add_executable(shotcut WIN32 MACOSX_BUNDLE
  abstractproducerwidget.cpp abstractproducerwidget.h
  actions.cpp actions.h
  autosavefile.cpp autosavefile.h
  commands/markercommands.cpp commands/markercommands.h
  commands/playlistcommands.cpp commands/playlistcommands.h
  commands/timelinecommands.cpp commands/timelinecommands.h
  commands/undohelper.cpp commands/undohelper.h
  controllers/filtercontroller.cpp controllers/filtercontroller.h
  controllers/scopecontroller.cpp controllers/scopecontroller.h
  database.cpp database.h
  dialogs/actionsdialog.cpp dialogs/actionsdialog.h
  dialogs/addencodepresetdialog.cpp dialogs/addencodepresetdialog.h
  dialogs/addencodepresetdialog.ui
  dialogs/alignaudiodialog.cpp dialogs/alignaudiodialog.h
  dialogs/alignmentarray.cpp dialogs/alignmentarray.h
  dialogs/customprofiledialog.cpp dialogs/customprofiledialog.h
  dialogs/customprofiledialog.ui
  dialogs/durationdialog.cpp dialogs/durationdialog.h
  dialogs/durationdialog.ui
  dialogs/editmarkerdialog.cpp dialogs/editmarkerdialog.h
  dialogs/filedatedialog.cpp dialogs/filedatedialog.h
  dialogs/listselectiondialog.cpp dialogs/listselectiondialog.h
  dialogs/listselectiondialog.ui
  dialogs/longuitask.cpp dialogs/longuitask.h
  dialogs/multifileexportdialog.cpp dialogs/multifileexportdialog.h
  dialogs/saveimagedialog.cpp dialogs/saveimagedialog.h
  dialogs/slideshowgeneratordialog.cpp dialogs/slideshowgeneratordialog.h
  dialogs/systemsyncdialog.cpp dialogs/systemsyncdialog.h
  dialogs/systemsyncdialog.ui
  dialogs/textviewerdialog.cpp dialogs/textviewerdialog.h
  dialogs/textviewerdialog.ui
  dialogs/transcodedialog.cpp dialogs/transcodedialog.h
  dialogs/transcodedialog.ui
  dialogs/unlinkedfilesdialog.cpp dialogs/unlinkedfilesdialog.h
  dialogs/unlinkedfilesdialog.ui
  docks/encodedock.cpp docks/encodedock.h
  docks/encodedock.ui
  docks/filtersdock.cpp docks/filtersdock.h
  docks/jobsdock.cpp docks/jobsdock.h
  docks/jobsdock.ui
  docks/keyframesdock.cpp docks/keyframesdock.h
  docks/markersdock.cpp docks/markersdock.h
  docks/notesdock.cpp docks/notesdock.h
  docks/playlistdock.cpp docks/playlistdock.h
  docks/playlistdock.ui
  docks/recentdock.cpp docks/recentdock.h
  docks/recentdock.ui
  docks/scopedock.cpp docks/scopedock.h
  docks/timelinedock.cpp docks/timelinedock.h
  glwidget.cpp glwidget.h
  jobqueue.cpp jobqueue.h
  jobs/abstractjob.cpp jobs/abstractjob.h
  jobs/encodejob.cpp jobs/encodejob.h
  jobs/ffmpegjob.cpp jobs/ffmpegjob.h
  jobs/ffprobejob.cpp jobs/ffprobejob.h
  jobs/gopro2gpxjob.cpp jobs/gopro2gpxjob.h
  jobs/meltjob.cpp jobs/meltjob.h
  jobs/postjobaction.cpp jobs/postjobaction.h
  jobs/qimagejob.cpp jobs/qimagejob.h
  jobs/videoqualityjob.cpp jobs/videoqualityjob.h
  leapnetworklistener.cpp leapnetworklistener.h
  main.cpp
  mainwindow.cpp mainwindow.h
  mainwindow.ui
  mltcontroller.cpp mltcontroller.h
  mltxmlchecker.cpp mltxmlchecker.h
  models/actionsmodel.cpp models/actionsmodel.h
  models/alignclipsmodel.cpp models/alignclipsmodel.h
  models/attachedfiltersmodel.cpp models/attachedfiltersmodel.h
  models/audiolevelstask.cpp models/audiolevelstask.h
  models/keyframesmodel.cpp models/keyframesmodel.h
  models/markersmodel.cpp models/markersmodel.h
  models/metadatamodel.cpp models/metadatamodel.h
  models/multitrackmodel.cpp models/multitrackmodel.h
  models/playlistmodel.cpp models/playlistmodel.h
  openotherdialog.cpp openotherdialog.h
  openotherdialog.ui
  player.cpp player.h
  proxymanager.cpp proxymanager.h
  qmltypes/colorpickeritem.cpp qmltypes/colorpickeritem.h
  qmltypes/colorwheelitem.cpp qmltypes/colorwheelitem.h
  qmltypes/qmlapplication.cpp qmltypes/qmlapplication.h
  qmltypes/qmlfile.cpp qmltypes/qmlfile.h
  qmltypes/qmlfilter.cpp qmltypes/qmlfilter.h
  qmltypes/qmlmetadata.cpp qmltypes/qmlmetadata.h
  qmltypes/qmlproducer.cpp qmltypes/qmlproducer.h
  qmltypes/qmlprofile.cpp qmltypes/qmlprofile.h
  qmltypes/qmlrichtext.cpp qmltypes/qmlrichtext.h
  qmltypes/qmlutilities.cpp qmltypes/qmlutilities.h
  qmltypes/qmlview.cpp qmltypes/qmlview.h
  qmltypes/thumbnailprovider.cpp qmltypes/thumbnailprovider.h
  qmltypes/timelineitems.cpp qmltypes/timelineitems.h
  resources.qrc
  scrubbar.cpp scrubbar.h
  settings.cpp settings.h
  sharedframe.cpp sharedframe.h
  shotcut_mlt_properties.h
  spatialmedia/box.cpp spatialmedia/box.h
  spatialmedia/container.cpp spatialmedia/container.h
  spatialmedia/mpeg4_container.cpp spatialmedia/mpeg4_container.h
  spatialmedia/sa3d.cpp spatialmedia/sa3d.h
  spatialmedia/spatialmedia.cpp spatialmedia/spatialmedia.h
  transportcontrol.h
  util.cpp util.h
  widgets/alsawidget.cpp widgets/alsawidget.h
  widgets/alsawidget.ui
  widgets/audiometerwidget.cpp widgets/audiometerwidget.h
  widgets/audioscale.cpp widgets/audioscale.h
  widgets/avformatproducerwidget.cpp widgets/avformatproducerwidget.h
  widgets/avformatproducerwidget.ui
  widgets/avfoundationproducerwidget.cpp widgets/avfoundationproducerwidget.h
  widgets/avfoundationproducerwidget.ui
  widgets/blipproducerwidget.cpp widgets/blipproducerwidget.h
  widgets/blipproducerwidget.ui
  widgets/colorbarswidget.cpp widgets/colorbarswidget.h
  widgets/colorbarswidget.ui
  widgets/colorproducerwidget.cpp widgets/colorproducerwidget.h
  widgets/colorproducerwidget.ui
  widgets/colorwheel.cpp widgets/colorwheel.h
  widgets/countproducerwidget.cpp widgets/countproducerwidget.h
  widgets/countproducerwidget.ui
  widgets/decklinkproducerwidget.cpp widgets/decklinkproducerwidget.h
  widgets/decklinkproducerwidget.ui
  widgets/directshowvideowidget.cpp widgets/directshowvideowidget.h
  widgets/directshowvideowidget.ui
  widgets/docktoolbar.cpp widgets/docktoolbar.h
  widgets/editmarkerwidget.cpp widgets/editmarkerwidget.h
  widgets/exportpresetstreeview.cpp widgets/exportpresetstreeview.h
  widgets/frameratewidget.cpp widgets/frameratewidget.h
  widgets/gdigrabwidget.cpp widgets/gdigrabwidget.h
  widgets/gdigrabwidget.ui
  widgets/glaxnimateproducerwidget.cpp widgets/glaxnimateproducerwidget.h
  widgets/glaxnimateproducerwidget.ui
  widgets/gltestwidget.cpp widgets/gltestwidget.h
  widgets/imageproducerwidget.cpp widgets/imageproducerwidget.h
  widgets/imageproducerwidget.ui
  widgets/isingwidget.cpp widgets/isingwidget.h
  widgets/isingwidget.ui
  widgets/jackproducerwidget.cpp widgets/jackproducerwidget.h
  widgets/jackproducerwidget.ui
  widgets/lineeditclear.cpp widgets/lineeditclear.h
  widgets/lissajouswidget.cpp widgets/lissajouswidget.h
  widgets/lissajouswidget.ui
  widgets/lumamixtransition.cpp widgets/lumamixtransition.h
  widgets/lumamixtransition.ui
  widgets/networkproducerwidget.cpp widgets/networkproducerwidget.h
  widgets/networkproducerwidget.ui
  widgets/newprojectfolder.cpp widgets/newprojectfolder.h
  widgets/newprojectfolder.ui
  widgets/noisewidget.cpp widgets/noisewidget.h
  widgets/noisewidget.ui
  widgets/plasmawidget.cpp widgets/plasmawidget.h
  widgets/plasmawidget.ui
  widgets/playlisticonview.cpp widgets/playlisticonview.h
  widgets/playlistlistview.cpp widgets/playlistlistview.h
  widgets/playlisttable.cpp widgets/playlisttable.h
  widgets/producerpreviewwidget.cpp widgets/producerpreviewwidget.h
  widgets/pulseaudiowidget.cpp widgets/pulseaudiowidget.h
  widgets/pulseaudiowidget.ui
  widgets/scopes/audioloudnessscopewidget.cpp widgets/scopes/audioloudnessscopewidget.h
  widgets/scopes/audiopeakmeterscopewidget.cpp widgets/scopes/audiopeakmeterscopewidget.h
  widgets/scopes/audiospectrumscopewidget.cpp widgets/scopes/audiospectrumscopewidget.h
  widgets/scopes/audiowaveformscopewidget.cpp widgets/scopes/audiowaveformscopewidget.h
  widgets/scopes/scopewidget.cpp widgets/scopes/scopewidget.h
  widgets/scopes/videohistogramscopewidget.cpp widgets/scopes/videohistogramscopewidget.h
  widgets/scopes/videorgbparadescopewidget.cpp widgets/scopes/videorgbparadescopewidget.h
  widgets/scopes/videorgbwaveformscopewidget.cpp widgets/scopes/videorgbwaveformscopewidget.h
  widgets/scopes/videovectorscopewidget.cpp widgets/scopes/videovectorscopewidget.h
  widgets/scopes/videowaveformscopewidget.cpp widgets/scopes/videowaveformscopewidget.h
  widgets/scopes/videozoomscopewidget.cpp widgets/scopes/videozoomscopewidget.h
  widgets/scopes/videozoomwidget.cpp widgets/scopes/videozoomwidget.h
  widgets/screenselector.cpp widgets/screenselector.h
  widgets/servicepresetwidget.cpp widgets/servicepresetwidget.h
  widgets/servicepresetwidget.ui
  widgets/slideshowgeneratorwidget.cpp widgets/slideshowgeneratorwidget.h
  widgets/statuslabelwidget.cpp widgets/statuslabelwidget.h
  widgets/textproducerwidget.cpp widgets/textproducerwidget.h
  widgets/textproducerwidget.ui
  widgets/timelinepropertieswidget.cpp widgets/timelinepropertieswidget.h
  widgets/timelinepropertieswidget.ui
  widgets/timespinbox.cpp widgets/timespinbox.h
  widgets/toneproducerwidget.cpp widgets/toneproducerwidget.h
  widgets/toneproducerwidget.ui
  widgets/trackpropertieswidget.cpp widgets/trackpropertieswidget.h
  widgets/trackpropertieswidget.ui
  widgets/video4linuxwidget.cpp widgets/video4linuxwidget.h
  widgets/video4linuxwidget.ui
  widgets/x11grabwidget.cpp widgets/x11grabwidget.h
  widgets/x11grabwidget.ui
  ../icons/resources.qrc
)

add_custom_target(OTHER_FILES
  SOURCES
  ../.github/ISSUE_TEMPLATE.md
  ../.github/workflows/build-linux-unstable.yml
  ../.github/workflows/build-linux.yml
  ../.github/workflows/build-macos-unstable.yml
  ../.github/workflows/build-macos.yml
  ../.github/workflows/build-sdk-windows-unstable.yml
  ../.github/workflows/build-sdk-windows.yml
  ../.github/workflows/build-windows-unstable.yml
  ../.github/workflows/build-windows.yml
  ../COPYING
  ../icons/dark/index.theme
  ../icons/light/index.theme
  ../packaging/linux/appimage/appimage.yml
  ../packaging/linux/Makefile
  ../packaging/linux/org.shotcut.Shotcut.desktop
  ../packaging/linux/org.shotcut.Shotcut.metainfo.xml.in
  ../packaging/linux/org.shotcut.Shotcut.xml
  ../packaging/linux/shotcut.1
  ../packaging/linux/snapcraft.yaml.in
  ../packaging/macos/Info.plist.in
  ../packaging/macos/shotcut.icns
  ../packaging/windows/shotcut.nsi
  ../packaging/windows/shotcut.rc.in
  ../README.md
  ../scripts/build-shotcut-msys2.sh
  ../scripts/build-shotcut.sh
  ../scripts/codesign_and_notarize.sh
  ../scripts/notarize.sh
  ../scripts/staple.sh
)

target_link_libraries(shotcut
  PRIVATE
  CuteLogger
  PkgConfig::mlt++
  PkgConfig::FFTW
  Qt5::Multimedia
  Qt5::Network
  Qt5::OpenGL
  Qt5::QuickControls2
  Qt5::QuickWidgets
  Qt5::Sql
  Qt5::WebSockets
  Qt5::Widgets
  Qt5::Xml
)

file(GLOB_RECURSE QML_SRC "qml/*")
target_sources(shotcut PRIVATE ${QML_SRC})

target_include_directories(shotcut PRIVATE ${CMAKE_SOURCE_DIR}/CuteLogger/include)
target_compile_definitions(shotcut PRIVATE SHOTCUT_VERSION="${SHOTCUT_VERSION}")

if(WIN32)
  # Windows resource
  string(REPLACE . , PRODUCT_VERSION ${PROJECT_VERSION})
  configure_file(${CMAKE_SOURCE_DIR}/packaging/windows/shotcut.rc.in ${CMAKE_SOURCE_DIR}/packaging/windows/shotcut.rc)
  target_sources(shotcut PRIVATE ${CMAKE_SOURCE_DIR}/packaging/windows/shotcut.rc)

  # Windows integration features
  find_package(Qt5 5.15 REQUIRED COMPONENTS WinExtras)
  target_sources(shotcut PRIVATE windowstools.cpp windowstools.h)
  target_link_libraries(shotcut PRIVATE Qt5::WinExtras)

  # Runtime exception handler for debug only
  target_include_directories(shotcut PRIVATE ${CMAKE_SOURCE_DIR}/drmingw/include)
  target_link_directories(shotcut PRIVATE ${CMAKE_SOURCE_DIR}/drmingw/x64/lib)
  target_link_libraries(shotcut PRIVATE debug exchndl)

  if(WINDOWS_DEPLOY)
    install(TARGETS shotcut RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX})
  else()
    target_compile_definitions(shotcut PRIVATE NODEPLOY)
    install(TARGETS shotcut RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
  endif()

  install(DIRECTORY qml DESTINATION ${CMAKE_INSTALL_PREFIX}/share/shotcut/)
endif()

if(APPLE)
  target_sources(shotcut PRIVATE macos.mm macos.h)

=== debian/changelog ===
shotcut (22.09.23+ds-4) unstable; urgency=medium

  * d/rules: fix for binary-all FTBFS. (Closes: #1020994)

 -- Gürkan Myczko <tar@debian.org>  Wed, 05 Oct 2022 10:25:15 +0200

shotcut (22.09.23+ds-3) unstable; urgency=medium

  * d/control: also add qttools5-private-dev to build-depends.

 -- Gürkan Myczko <tar@debian.org>  Mon, 26 Sep 2022 16:15:53 +0200

shotcut (22.09.23+ds-2) unstable; urgency=medium

  * d/control: add cmake to build-depends.

 -- Gürkan Myczko <tar@debian.org>  Mon, 26 Sep 2022 16:00:00 +0200

shotcut (22.09.23+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.1.
  * d/control: build-depend on elfpatch.
  * d/rules: patch binary to find local library.

 -- Gürkan Myczko <tar@debian.org>  Mon, 26 Sep 2022 14:06:33 +0200

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEBARCH:=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export QTDIR=/usr/share/qt5
export QT_SELECT=qt5

%:
	dh $@

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/shotcut $(DEBARCH)

override_dh_install:
	dh_install
	-patchelf --set-rpath /usr/lib/shotcut debian/shotcut/usr/bin/shotcut

override_dh_dwz:
	echo NO THANKS

## shotcut 22.10.22+ds

=== debian/changelog ===
shotcut (22.10.22+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 24 Oct 2022 07:53:17 +0200

shotcut (22.10.09~beta1+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Wed, 12 Oct 2022 13:08:02 +0200

## shotcut 22.10.25+ds

=== debian/changelog ===
shotcut (22.10.25+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 31 Oct 2022 12:12:45 +0100

## shotcut 22.11.25+ds

=== debian/changelog ===
shotcut (22.11.25+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 28 Nov 2022 12:20:34 +0100

## shotcut 22.12.21%2Bds

=== debian/changelog ===
shotcut (22.12.21+ds-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 16 Feb 2023 15:34:49 -0800

shotcut (22.12.21+ds-2) unstable; urgency=medium

  * d/rules: fix for broken executable script fix.

 -- Gürkan Myczko <tar@debian.org>  Thu, 22 Dec 2022 10:21:55 +0100

shotcut (22.12.21+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/rules: fix lintian script not executable.

 -- Gürkan Myczko <tar@debian.org>  Thu, 22 Dec 2022 09:06:28 +0100

=== debian/control ===
Source: shotcut
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <tar@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               frei0r-plugins-dev,
               libjs-three,
               libmlt++-dev,
               libmlt-dev,
               libmovit-dev,
               libmp3lame-dev,
               libqt5opengl5-desktop-dev,
               libqt5webkit5-dev,
               libqt5websockets5-dev,
               libqt5x11extras5-dev,
               libx264-dev,
               libx265-dev,
               patchelf,
               qml-module-qtmultimedia,
               qml-module-qtquick-privatewidgets,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-private-dev,
               qtmultimedia5-dev,
               qtquickcontrols2-5-dev,
               qttools5-dev-tools,
               qttools5-private-dev
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/shotcut.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/shotcut
Homepage: https://www.shotcut.org/

Package: shotcut
Architecture: any
Depends: frei0r-plugins,
         libjs-three,
         melt,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-extras,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         shotcut-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: video editor
 This is a video editor with features like 4k resolution support,
 network stream playback, audio/webcam captures, and many more.

Package: shotcut-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: shotcut (<< 20.11.28+ds-1)
Replaces: shotcut (<< 20.11.28+ds-1)
Description: video editor data
 This is a video editor with features like 4k resolution support,
 network stream playback, audio/webcam captures, and many more.
 .
 These are data files needed for the binary package.

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,11 @@
 override_dh_install:
 	dh_install
 	-patchelf --set-rpath /usr/lib/shotcut debian/shotcut/usr/bin/shotcut
+	-chmod +x debian/*/usr/share/shotcut/qml/export-*/rebuild.sh
 
 override_dh_dwz:
 	echo NO THANKS
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## shotcut 22.12.21+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

if (${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.20")
  cmake_policy(SET CMP0115 NEW)
endif()

if(NOT DEFINED SHOTCUT_VERSION)
  string(TIMESTAMP SHOTCUT_VERSION "%y.%m.%d")
endif()

project(shotcut
  VERSION ${SHOTCUT_VERSION}
  DESCRIPTION "cross-platform (Qt), open-source (GPLv3) video editor"
  HOMEPAGE_URL "https://www.shotcut.org"
  LANGUAGES CXX
)

if(WIN32)
  option(WINDOWS_DEPLOY "Install exes/libs directly to prefix (no subdir /bin)" ON)
endif()

include(FeatureSummary)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt5 5.15 REQUIRED
  COMPONENTS
  Widgets
  Network
  QuickControls2
  QuickWidgets
  Xml
  WebSockets
  OpenGL
  Sql
  Multimedia
)

find_package(PkgConfig REQUIRED)
pkg_check_modules(mlt++ REQUIRED IMPORTED_TARGET mlt++-7)
pkg_check_modules(FFTW IMPORTED_TARGET fftw3)
if(NOT FFTW_FOUND)
  pkg_check_modules(FFTW REQUIRED IMPORTED_TARGET fftw)
endif()

add_subdirectory(CuteLogger)
add_subdirectory(src)
add_subdirectory(translations)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

add_custom_target(codespell COMMAND
  cd "${CMAKE_SOURCE_DIR}" &&
  codespell -w -q 3
  -L shotcut,uint,seeked,really,prevent
  -S export-chapters.js,export-edl.js,CuteLogger,drmingw,node_modules,moc_*,index.theme,*.ts,three.min.js,three.js,jquery.js,rangy-*.js,Makefile,shotcut.pro,*.desktop
)

add_custom_target(astyle COMMAND
  cd "${CMAKE_SOURCE_DIR}" &&
  astyle --project=.astylerc --ignore-exclude-errors --recursive "./*.cpp,*.h"
)

file(GLOB_RECURSE QML_SRC "src/qml/*.qml")
add_custom_target(qmlformat COMMAND
  ${CMAKE_PREFIX_PATH}/bin/qmlformat -i ${QML_SRC}
)

=== CuteLogger/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.1)

PROJECT(CuteLogger)

FIND_PACKAGE(Qt5Core REQUIRED)

ADD_DEFINITIONS(-DCUTELOGGER_LIBRARY)

INCLUDE(GNUInstallDirs)

INCLUDE_DIRECTORIES(BEFORE include)

SET(sources
  src/Logger.cpp
  src/AbstractAppender.cpp
  src/AbstractStringAppender.cpp
  src/ConsoleAppender.cpp
  src/FileAppender.cpp
  src/RollingFileAppender.cpp
)

SET(includes
  include/Logger.h
  include/FileAppender.h
  include/CuteLogger_global.h
  include/ConsoleAppender.h
  include/AbstractStringAppender.h
  include/AbstractAppender.h
  include/RollingFileAppender.h
 )


# OutputDebugAppender is only for Windows systems
IF(WIN32)
  SET(sources ${sources} src/OutputDebugAppender.cpp)
  SET(includes ${includes} include/OutputDebugAppender.h)
ENDIF(WIN32)


SET(library_target CuteLogger)

ADD_LIBRARY(${library_target} SHARED ${sources} ${includes})
TARGET_LINK_LIBRARIES(${library_target} Qt5::Core)
IF(WINDOWS_DEPLOY)
  INSTALL(TARGETS ${library_target} DESTINATION ${CMAKE_INSTALL_LIBDIR})
ELSE()
  INSTALL(TARGETS ${library_target}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)
ENDIF(WINDOWS_DEPLOY)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -81,12 +81,15 @@
   qmltypes/colorpickeritem.cpp qmltypes/colorpickeritem.h
   qmltypes/colorwheelitem.cpp qmltypes/colorwheelitem.h
   qmltypes/qmlapplication.cpp qmltypes/qmlapplication.h
+  qmltypes/qmleditmenu.cpp qmltypes/qmleditmenu.h
   qmltypes/qmlfile.cpp qmltypes/qmlfile.h
   qmltypes/qmlfilter.cpp qmltypes/qmlfilter.h
+  qmltypes/qmlmarkermenu.cpp qmltypes/qmlmarkermenu.h
   qmltypes/qmlmetadata.cpp qmltypes/qmlmetadata.h
   qmltypes/qmlproducer.cpp qmltypes/qmlproducer.h
   qmltypes/qmlprofile.cpp qmltypes/qmlprofile.h
   qmltypes/qmlrichtext.cpp qmltypes/qmlrichtext.h
+  qmltypes/qmlrichtextmenu.cpp qmltypes/qmlrichtextmenu.h
   qmltypes/qmlutilities.cpp qmltypes/qmlutilities.h
   qmltypes/qmlview.cpp qmltypes/qmlview.h
   qmltypes/thumbnailprovider.cpp qmltypes/thumbnailprovider.h
@@ -269,8 +272,3 @@
     install(TARGETS shotcut RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
   endif()
 
-  install(DIRECTORY qml DESTINATION ${CMAKE_INSTALL_PREFIX}/share/shotcut/)
-endif()
-
-if(APPLE)
-  target_sources(shotcut PRIVATE macos.mm macos.h)

=== translations/CMakeLists.txt ===
find_package(Qt5LinguistTools)

# Translation howto:
# - Translations are mentioned in the LANGUAGES variable below
# - To update the .ts files, cd into translations and run 'ninja translations'
# - The .qm files are created as part of a regular make command

set(LANGUAGES
    ar
    ca
    cs
    da
    de
    el
    en
    en_GB
    es
    et
    fi
    fr
    gd
    gl
    hu
    it
    ko
    ja
    nb
    nn
    ne
    nl
    oc
    pl
    pt_BR
    pt_PT
    ro
    ru
    sk
    sl
    sv
    th
    tr
    uk
    zh_CN
    zh_TW
)

list(TRANSFORM LANGUAGES PREPEND "shotcut_" OUTPUT_VARIABLE TS_FILES)
list(TRANSFORM TS_FILES APPEND ".qm" OUTPUT_VARIABLE QM_FILES)
list(TRANSFORM TS_FILES PREPEND ${CMAKE_CURRENT_SOURCE_DIR}/)
list(TRANSFORM TS_FILES APPEND ".ts")

# lupdate ts files
add_custom_target(translations COMMAND
  ${Qt5_LUPDATE_EXECUTABLE} -locations absolute -no-obsolete -recursive
  ${CMAKE_SOURCE_DIR}/src -ts ${TS_FILES})

# generate qm files with lrelease
qt5_add_translation(QM_FILES ${TS_FILES})
add_custom_target(qm ALL DEPENDS ${QM_FILES})

if(UNIX AND NOT APPLE)
  include(GNUInstallDirs)
  install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/ DESTINATION ${CMAKE_INSTALL_DATADIR}/shotcut/translations
    FILES_MATCHING PATTERN "*.qm" PATTERN CMakeFiles EXCLUDE)
endif()

=== debian/control ===
Source: shotcut
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <tar@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libmlt++-dev,
 libmlt-dev,
 libqt5x11extras5-dev,
 libmovit-dev,
 libmp3lame-dev,
 libx264-dev,
 libx265-dev,
 libqt5websockets5-dev,
 libqt5webkit5-dev,
 libqt5opengl5-desktop-dev,
 libjs-three,
 qtbase5-dev,
 qml-module-qtmultimedia,
 qml-module-qtquick-privatewidgets,
 frei0r-plugins-dev,
 qtmultimedia5-dev,
 qtquickcontrols2-5-dev,
 qtdeclarative5-dev,
 qtdeclarative5-private-dev,
 qttools5-dev-tools,
 qttools5-private-dev,
 patchelf
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/shotcut.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/shotcut
Homepage: https://www.shotcut.org/

Package: shotcut
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-three, qml-module-qtquick-controls, qml-module-qtquick-controls2, qml-module-qtquick-dialogs, qml-module-qtquick-layouts, qml-module-qtquick2, qml-module-qtgraphicaleffects, qml-module-qtquick-window2, qml-module-qtquick-extras, qml-module-qtqml-models2, melt, frei0r-plugins, shotcut-data (>= ${source:Version}), frei0r-plugins
Description: video editor
 This is a video editor with features like 4k resolution support,
 network stream playback, audio/webcam captures, and many more.

Package: shotcut-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: shotcut (<< 20.11.28+ds-1)
Replaces: shotcut (<< 20.11.28+ds-1)
Description: video editor data
 This is a video editor with features like 4k resolution support,
 network stream playback, audio/webcam captures, and many more.
 .
 These are data files needed for the binary package.

## shotcut 23.07.29+git20230730+ds

=== debian/changelog ===
shotcut (23.07.29+git20230730+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Sun, 30 Jul 2023 13:33:28 +0200

shotcut (23.06.14+git20230616+ds-4) unstable; urgency=medium

  * Really fix broken Depends.

 -- Gürkan Myczko <tar@debian.org>  Wed, 21 Jun 2023 07:12:58 +0200

shotcut (23.06.14+git20230616+ds-3) unstable; urgency=medium

  * Fix broken Depends.

 -- Gürkan Myczko <tar@debian.org>  Tue, 20 Jun 2023 10:24:31 +0200

shotcut (23.06.14+git20230616+ds-2) unstable; urgency=medium

  * Fix Depends and Build-Depends. (Closes: #1038388)

 -- Gürkan Myczko <tar@debian.org>  Mon, 19 Jun 2023 14:55:31 +0200

shotcut (23.06.14+git20230616+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Fri, 16 Jun 2023 12:39:17 +0200

shotcut (23.05.14+git20230514+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <tar@debian.org>  Sun, 11 Jun 2023 16:11:19 +0200

shotcut (23.05.14+git20230514+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Wed, 17 May 2023 14:50:15 +0200

shotcut (23.05.07+git20230509+ds-1) experimental; urgency=medium

  * New upstream version.
  * d/control: add qt6-multimedia-dev, qt6-quick3d-dev, qml-qt6,
    qt6-base-dev, libqt6opengl6-dev, qt6-declarative-dev to build-depends.
  * Bump standards version to 4.6.2.

 -- Gürkan Myczko <tar@debian.org>  Tue, 09 May 2023 10:37:24 +0200

=== debian/control ===
Source: shotcut
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <tar@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libmlt++-dev,
 libmlt-dev,
 libmovit-dev,
 libmp3lame-dev,
 libx264-dev,
 libx265-dev,
 libqt6opengl6-dev,
 libjs-three,
 qml6-module-qtmultimedia,
 qml-module-qtquick-privatewidgets,
 qml-qt6,
 frei0r-plugins-dev,
 patchelf,
 qt6-multimedia-dev,
 qt6-base-dev,
 qt6-declarative-dev,
 qt6-tools-dev,
 qt6-quick3d-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/shotcut.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/shotcut
Homepage: https://www.shotcut.org/

Package: shotcut
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libjs-three,
 qml6-module-qt-labs-animation,
 qml6-module-qt-labs-folderlistmodel,
 qml6-module-qt-labs-lottieqt,
 qml6-module-qt-labs-platform,
 qml6-module-qt-labs-qmlmodels,
 qml6-module-qt-labs-settings,
 qml6-module-qt-labs-sharedimage,
 qml6-module-qt-labs-wavefrontmesh,
 qml6-module-qtcore,
 qml6-module-qtqml,
 qml6-module-qtqml-models,
 qml6-module-qtqml-statemachine,
 qml6-module-qtqml-workerscript,
 qml6-module-qtqml-xmllistmodel,
 qml6-module-qtquick,
 qml6-module-qtquick-localstorage,
 qml6-module-qtquick-nativestyle,
 qml6-module-qtquick-particles,
 qml6-module-qtquick-shapes,
 qml6-module-qtquick-templates,
 qml6-module-qtquick-timeline,
 qml6-module-qtquick-tooling,
 qml6-module-qtquick-virtualkeyboard,
 qml6-module-qtquick-window,
 qml6-module-qtquick-controls,
 qml6-module-qtquick-dialogs,
 qml6-module-qtquick-layouts,
 melt,
 frei0r-plugins,
 shotcut-data (>= ${source:Version}),
Description: video editor
 This is a video editor with features like 4k resolution support,
 network stream playback, audio/webcam captures, and many more.

Package: shotcut-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: shotcut (<< 20.11.28+ds-1)
Replaces: shotcut (<< 20.11.28+ds-1)
Description: video editor data
 This is a video editor with features like 4k resolution support,
 network stream playback, audio/webcam captures, and many more.
 .
 These are data files needed for the binary package.

## shotcut 23.12.15+git20231218+ds

=== debian/changelog ===
shotcut (23.12.15+git20231218+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 18 Dec 2023 08:19:26 +0100

shotcut (23.11.29+git20231201+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/control: add qt6-charts-dev to build-depends.

 -- Gürkan Myczko <tar@debian.org>  Fri, 01 Dec 2023 15:46:40 +0100

shotcut (23.09+git20231015+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Sun, 15 Oct 2023 15:05:41 +0200

## shotcut 24.01.28+ds

=== debian/changelog ===
shotcut (24.01.28+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 29 Jan 2024 08:14:41 +0100

## shotcut 24.01.31+ds

=== debian/changelog ===
shotcut (24.01.31+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Tue, 06 Feb 2024 08:14:33 +0100

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
  qt6-declarative-dev,
  qt6-tools-dev,
  qt6-quick3d-dev,
+ qt6-charts-dev,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/shotcut.git

## shotcut 24.02.29+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,21 +29,22 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-find_package(Qt5 5.15 REQUIRED
+find_package(Qt6 6.4 REQUIRED
   COMPONENTS
-  Widgets
+  Charts
+  Multimedia
   Network
+  OpenGL
+  OpenGLWidgets
   QuickControls2
   QuickWidgets
+  Sql
+  Widgets
   Xml
-  WebSockets
-  OpenGL
-  Sql
-  Multimedia
 )
 
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(mlt++ REQUIRED IMPORTED_TARGET mlt++-7)
+pkg_check_modules(mlt++ REQUIRED IMPORTED_TARGET mlt++-7>=7.22.0)
 pkg_check_modules(FFTW IMPORTED_TARGET fftw3)
 if(NOT FFTW_FOUND)
   pkg_check_modules(FFTW REQUIRED IMPORTED_TARGET fftw)
@@ -71,4 +72,3 @@
 add_custom_target(qmlformat COMMAND
   ${CMAKE_PREFIX_PATH}/bin/qmlformat -i ${QML_SRC}
 )
-

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
   abstractproducerwidget.cpp abstractproducerwidget.h
   actions.cpp actions.h
   autosavefile.cpp autosavefile.h
+  commands/filtercommands.cpp commands/filtercommands.h
   commands/markercommands.cpp commands/markercommands.h
   commands/playlistcommands.cpp commands/playlistcommands.h
   commands/timelinecommands.cpp commands/timelinecommands.h
@@ -14,6 +15,7 @@
   dialogs/addencodepresetdialog.ui
   dialogs/alignaudiodialog.cpp dialogs/alignaudiodialog.h
   dialogs/alignmentarray.cpp dialogs/alignmentarray.h
+  dialogs/bitratedialog.h dialogs/bitratedialog.cpp
   dialogs/customprofiledialog.cpp dialogs/customprofiledialog.h
   dialogs/customprofiledialog.ui
   dialogs/durationdialog.cpp dialogs/durationdialog.h
@@ -24,6 +26,7 @@
   dialogs/listselectiondialog.ui
   dialogs/longuitask.cpp dialogs/longuitask.h
   dialogs/multifileexportdialog.cpp dialogs/multifileexportdialog.h
+  dialogs/resourcedialog.cpp dialogs/resourcedialog.h
   dialogs/saveimagedialog.cpp dialogs/saveimagedialog.h
   dialogs/slideshowgeneratordialog.cpp dialogs/slideshowgeneratordialog.h
   dialogs/systemsyncdialog.cpp dialogs/systemsyncdialog.h
@@ -48,9 +51,9 @@
   docks/recentdock.ui
   docks/scopedock.cpp docks/scopedock.h
   docks/timelinedock.cpp docks/timelinedock.h
-  glwidget.cpp glwidget.h
   jobqueue.cpp jobqueue.h
   jobs/abstractjob.cpp jobs/abstractjob.h
+  jobs/bitrateviewerjob.h jobs/bitrateviewerjob.cpp
   jobs/encodejob.cpp jobs/encodejob.h
   jobs/ffmpegjob.cpp jobs/ffmpegjob.h
   jobs/ffprobejob.cpp jobs/ffprobejob.h
@@ -59,7 +62,6 @@
   jobs/postjobaction.cpp jobs/postjobaction.h
   jobs/qimagejob.cpp jobs/qimagejob.h
   jobs/videoqualityjob.cpp jobs/videoqualityjob.h
-  leapnetworklistener.cpp leapnetworklistener.h
   main.cpp
   mainwindow.cpp mainwindow.h
   mainwindow.ui
@@ -72,14 +74,20 @@
   models/keyframesmodel.cpp models/keyframesmodel.h
   models/markersmodel.cpp models/markersmodel.h
   models/metadatamodel.cpp models/metadatamodel.h
+  models/motiontrackermodel.h models/motiontrackermodel.cpp
   models/multitrackmodel.cpp models/multitrackmodel.h
   models/playlistmodel.cpp models/playlistmodel.h
+  models/resourcemodel.cpp models/resourcemodel.h
   openotherdialog.cpp openotherdialog.h
   openotherdialog.ui
   player.cpp player.h
   proxymanager.cpp proxymanager.h
+  qmltypes/colordialog.h qmltypes/colordialog.cpp
   qmltypes/colorpickeritem.cpp qmltypes/colorpickeritem.h
   qmltypes/colorwheelitem.cpp qmltypes/colorwheelitem.h
+  qmltypes/filedialog.h qmltypes/filedialog.cpp
+  qmltypes/fontdialog.h qmltypes/fontdialog.cpp
+  qmltypes/messagedialog.h qmltypes/messagedialog.cpp
   qmltypes/qmlapplication.cpp qmltypes/qmlapplication.h
   qmltypes/qmleditmenu.cpp qmltypes/qmleditmenu.h
   qmltypes/qmlfile.cpp qmltypes/qmlfile.h
@@ -99,6 +107,7 @@
   settings.cpp settings.h
   sharedframe.cpp sharedframe.h
   shotcut_mlt_properties.h
+  transcoder.cpp transcoder.h
   spatialmedia/box.cpp spatialmedia/box.h
   spatialmedia/container.cpp spatialmedia/container.h
   spatialmedia/mpeg4_container.cpp spatialmedia/mpeg4_container.h
@@ -106,6 +115,7 @@
   spatialmedia/spatialmedia.cpp spatialmedia/spatialmedia.h
   transportcontrol.h
   util.cpp util.h
+  videowidget.cpp videowidget.h
   widgets/alsawidget.cpp widgets/alsawidget.h
   widgets/alsawidget.ui
   widgets/audiometerwidget.cpp widgets/audiometerwidget.h
@@ -135,7 +145,6 @@
   widgets/gdigrabwidget.ui
   widgets/glaxnimateproducerwidget.cpp widgets/glaxnimateproducerwidget.h
   widgets/glaxnimateproducerwidget.ui
-  widgets/gltestwidget.cpp widgets/gltestwidget.h
   widgets/imageproducerwidget.cpp widgets/imageproducerwidget.h
   widgets/imageproducerwidget.ui
   widgets/isingwidget.cpp widgets/isingwidget.h
@@ -161,6 +170,7 @@
   widgets/producerpreviewwidget.cpp widgets/producerpreviewwidget.h
   widgets/pulseaudiowidget.cpp widgets/pulseaudiowidget.h
   widgets/pulseaudiowidget.ui
+  widgets/resourcewidget.cpp widgets/resourcewidget.h
   widgets/scopes/audioloudnessscopewidget.cpp widgets/scopes/audioloudnessscopewidget.h
   widgets/scopes/audiopeakmeterscopewidget.cpp widgets/scopes/audiopeakmeterscopewidget.h
   widgets/scopes/audiospectrumscopewidget.cpp widgets/scopes/audiospectrumscopewidget.h
@@ -217,7 +227,7 @@
   ../packaging/linux/snapcraft.yaml.in
   ../packaging/macos/Info.plist.in
   ../packaging/macos/shotcut.icns
-  ../packaging/windows/shotcut.nsi
+  ../packaging/windows/shotcut.iss
   ../packaging/windows/shotcut.rc.in
   ../README.md
   ../scripts/build-shotcut-msys2.sh
@@ -232,15 +242,16 @@
   CuteLogger
   PkgConfig::mlt++
   PkgConfig::FFTW
-  Qt5::Multimedia
-  Qt5::Network
-  Qt5::OpenGL
-  Qt5::QuickControls2
-  Qt5::QuickWidgets
-  Qt5::Sql
-  Qt5::WebSockets
-  Qt5::Widgets
-  Qt5::Xml
+  Qt6::Charts
+  Qt6::Multimedia
+  Qt6::Network
+  Qt6::OpenGL
+  Qt6::OpenGLWidgets
+  Qt6::QuickControls2
+  Qt6::QuickWidgets
+  Qt6::Sql
+  Qt6::Widgets
+  Qt6::Xml
 )
 
 file(GLOB_RECURSE QML_SRC "qml/*")
@@ -256,19 +267,5 @@
   target_sources(shotcut PRIVATE ${CMAKE_SOURCE_DIR}/packaging/windows/shotcut.rc)
 
   # Windows integration features
-  find_package(Qt5 5.15 REQUIRED COMPONENTS WinExtras)
-  target_sources(shotcut PRIVATE windowstools.cpp windowstools.h)
-  target_link_libraries(shotcut PRIVATE Qt5::WinExtras)
-
-  # Runtime exception handler for debug only
-  target_include_directories(shotcut PRIVATE ${CMAKE_SOURCE_DIR}/drmingw/include)
-  target_link_directories(shotcut PRIVATE ${CMAKE_SOURCE_DIR}/drmingw/x64/lib)
-  target_link_libraries(shotcut PRIVATE debug exchndl)
-
-  if(WINDOWS_DEPLOY)
-    install(TARGETS shotcut RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX})
-  else()
-    target_compile_definitions(shotcut PRIVATE NODEPLOY)
-    install(TARGETS shotcut RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
-  endif()
-
+  # These are not yet available in Qt 6. They plan to make a cross-platform API planned but not yet implemented.
+#  find_package(Qt 6.2 REQUIRED COMPONENTS WinExtras)

=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-find_package(Qt5LinguistTools)
+find_package(Qt6 REQUIRED COMPONENTS LinguistTools)
 
 # Translation howto:
 # - Translations are mentioned in the LANGUAGES variable below
@@ -20,6 +20,7 @@
     fr
     gd
     gl
+    he_IL
     hu
     it
     ko
@@ -50,12 +51,13 @@
 list(TRANSFORM TS_FILES APPEND ".ts")
 
 # lupdate ts files
-add_custom_target(translations COMMAND
-  ${Qt5_LUPDATE_EXECUTABLE} -locations absolute -no-obsolete -recursive
-  ${CMAKE_SOURCE_DIR}/src -ts ${TS_FILES})
+file(GLOB_RECURSE SOURCES "${CMAKE_SOURCE_DIR}/src/*")
+qt_add_lupdate(shotcut TS_FILES ${TS_FILES} SOURCES ${SOURCES}
+    OPTIONS -locations absolute -no-obsolete -recursive)
+add_custom_target(translations DEPENDS shotcut_lupdate)
 
 # generate qm files with lrelease
-qt5_add_translation(QM_FILES ${TS_FILES})
+qt6_add_translation(QM_FILES ${TS_FILES})
 add_custom_target(qm ALL DEPENDS ${QM_FILES})
 
 if(UNIX AND NOT APPLE)

=== debian/changelog ===
shotcut (24.02.29+ds-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:00:25 +1100

shotcut (24.02.29+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Fri, 01 Mar 2024 08:34:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: shotcut
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Gürkan Myczko <tar@debian.org>
 Build-Depends:
  debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,3 @@
 
 override_dh_dwz:
 	echo NO THANKS
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## shotcut 24.04.28+ds

=== debian/changelog ===
shotcut (24.04.28+ds-1build1) oracular; urgency=medium

  * Rebuild against new qt6.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 May 2024 10:20:03 +0200

shotcut (24.04.28+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Tue, 30 Apr 2024 08:56:03 +0200

## shotcut 24.06.26+git20240816+ds

=== debian/changelog ===
shotcut (24.06.26+git20240816+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Fri, 16 Aug 2024 12:36:35 +0000

## shotcut 24.09.13+ds

=== debian/changelog ===
shotcut (24.09.13+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Thu, 19 Sep 2024 07:41:40 +0000

shotcut (24.08.29+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Fri, 30 Aug 2024 06:20:05 +0000

## shotcut 24.11.27%2Bds

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
   commands/filtercommands.cpp commands/filtercommands.h
   commands/markercommands.cpp commands/markercommands.h
   commands/playlistcommands.cpp commands/playlistcommands.h
+  commands/subtitlecommands.cpp commands/subtitlecommands.h
   commands/timelinecommands.cpp commands/timelinecommands.h
   commands/undohelper.cpp commands/undohelper.h
   controllers/filtercontroller.cpp controllers/filtercontroller.h
@@ -29,12 +30,14 @@
   dialogs/resourcedialog.cpp dialogs/resourcedialog.h
   dialogs/saveimagedialog.cpp dialogs/saveimagedialog.h
   dialogs/slideshowgeneratordialog.cpp dialogs/slideshowgeneratordialog.h
+  dialogs/subtitletrackdialog.cpp dialogs/subtitletrackdialog.h
   dialogs/systemsyncdialog.cpp dialogs/systemsyncdialog.h
   dialogs/systemsyncdialog.ui
   dialogs/textviewerdialog.cpp dialogs/textviewerdialog.h
   dialogs/textviewerdialog.ui
   dialogs/transcodedialog.cpp dialogs/transcodedialog.h
   dialogs/transcodedialog.ui
+  dialogs/transcribeaudiodialog.cpp dialogs/transcribeaudiodialog.h
   dialogs/unlinkedfilesdialog.cpp dialogs/unlinkedfilesdialog.h
   dialogs/unlinkedfilesdialog.ui
   docks/encodedock.cpp docks/encodedock.h
@@ -50,6 +53,7 @@
   docks/recentdock.cpp docks/recentdock.h
   docks/recentdock.ui
   docks/scopedock.cpp docks/scopedock.h
+  docks/subtitlesdock.cpp docks/subtitlesdock.h
   docks/timelinedock.cpp docks/timelinedock.h
   jobqueue.cpp jobqueue.h
   jobs/abstractjob.cpp jobs/abstractjob.h
@@ -62,6 +66,7 @@
   jobs/postjobaction.cpp jobs/postjobaction.h
   jobs/qimagejob.cpp jobs/qimagejob.h
   jobs/videoqualityjob.cpp jobs/videoqualityjob.h
+  jobs/whisperjob.cpp jobs/whisperjob.h
   main.cpp
   mainwindow.cpp mainwindow.h
   mainwindow.ui
@@ -78,6 +83,9 @@
   models/multitrackmodel.cpp models/multitrackmodel.h
   models/playlistmodel.cpp models/playlistmodel.h
   models/resourcemodel.cpp models/resourcemodel.h
+  models/subtitles.cpp models/subtitles.h
+  models/subtitlesmodel.cpp models/subtitlesmodel.h
+  models/subtitlesselectionmodel.cpp models/subtitlesselectionmodel.h
   openotherdialog.cpp openotherdialog.h
   openotherdialog.ui
   player.cpp player.h
@@ -174,6 +182,8 @@
   widgets/scopes/audioloudnessscopewidget.cpp widgets/scopes/audioloudnessscopewidget.h
   widgets/scopes/audiopeakmeterscopewidget.cpp widgets/scopes/audiopeakmeterscopewidget.h
   widgets/scopes/audiospectrumscopewidget.cpp widgets/scopes/audiospectrumscopewidget.h
+  widgets/scopes/audiosurroundscopewidget.cpp widgets/scopes/audiosurroundscopewidget.h
+  widgets/scopes/audiovectorscopewidget.cpp widgets/scopes/audiovectorscopewidget.h
   widgets/scopes/audiowaveformscopewidget.cpp widgets/scopes/audiowaveformscopewidget.h
   widgets/scopes/scopewidget.cpp widgets/scopes/scopewidget.h
   widgets/scopes/videohistogramscopewidget.cpp widgets/scopes/videohistogramscopewidget.h
@@ -257,15 +267,3 @@
 file(GLOB_RECURSE QML_SRC "qml/*")
 target_sources(shotcut PRIVATE ${QML_SRC})
 
-target_include_directories(shotcut PRIVATE ${CMAKE_SOURCE_DIR}/CuteLogger/include)
-target_compile_definitions(shotcut PRIVATE SHOTCUT_VERSION="${SHOTCUT_VERSION}")
-
-if(WIN32)
-  # Windows resource
-  string(REPLACE . , PRODUCT_VERSION ${PROJECT_VERSION})
-  configure_file(${CMAKE_SOURCE_DIR}/packaging/windows/shotcut.rc.in ${CMAKE_SOURCE_DIR}/packaging/windows/shotcut.rc)
-  target_sources(shotcut PRIVATE ${CMAKE_SOURCE_DIR}/packaging/windows/shotcut.rc)
-
-  # Windows integration features
-  # These are not yet available in Qt 6. They plan to make a cross-platform API planned but not yet implemented.
-#  find_package(Qt 6.2 REQUIRED COMPONENTS WinExtras)

=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,7 @@
     en_GB
     es
     et
+    eu
     fi
     fr
     gd

## shotcut 24.11.27+ds

=== debian/changelog ===
shotcut (24.11.27+ds-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 08 Dec 2024 21:22:05 -0800

shotcut (24.11.27+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Wed, 20 Nov 2024 11:06:58 +0000

shotcut (24.10.29+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 11 Nov 2024 10:07:55 +0000

=== debian/control ===
Source: shotcut
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               frei0r-plugins-dev,
               libjs-three,
               libmlt++-dev ( >=7.22.0~),
               libmlt-dev ( >=7.22.0~),
               libmovit-dev,
               libmp3lame-dev,
               libqt6opengl6-dev,
               libx264-dev,
               libx265-dev,
               patchelf,
               qml-module-qtquick-privatewidgets,
               qml-qt6,
               qml6-module-qtmultimedia,
               qt6-base-dev,
               qt6-charts-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-quick3d-dev,
               qt6-tools-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/shotcut.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/shotcut
Homepage: https://www.shotcut.org/

Package: shotcut
Architecture: any
Depends: frei0r-plugins,
         libjs-three,
         melt,
         qml6-module-qt-labs-animation,
         qml6-module-qt-labs-folderlistmodel,
         qml6-module-qt-labs-lottieqt,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qt-labs-settings,
         qml6-module-qt-labs-sharedimage,
         qml6-module-qt-labs-wavefrontmesh,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-statemachine,
         qml6-module-qtqml-workerscript,
         qml6-module-qtqml-xmllistmodel,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-localstorage,
         qml6-module-qtquick-nativestyle,
         qml6-module-qtquick-particles,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-timeline,
         qml6-module-qtquick-tooling,
         qml6-module-qtquick-virtualkeyboard,
         qml6-module-qtquick-window,
         shotcut-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: video editor
 This is a video editor with features like 4k resolution support,
 network stream playback, audio/webcam captures, and many more.

Package: shotcut-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: shotcut (<< 20.11.28+ds-1)
Replaces: shotcut (<< 20.11.28+ds-1)
Description: video editor data
 This is a video editor with features like 4k resolution support,
 network stream playback, audio/webcam captures, and many more.
 .
 These are data files needed for the binary package.

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 DEBARCH:=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-export QTDIR=/usr/share/qt5
-export QT_SELECT=qt5
+export QTDIR=/usr/share/qt6
+export QT_SELECT=qt6
 
 %:
 	dh $@
@@ -27,4 +27,9 @@
 	-chmod +x debian/*/usr/share/shotcut/qml/export-*/rebuild.sh
 
 override_dh_dwz:
-	echo NO THANKS
+	echo NO THANKS, YOU ARE WELCOME 
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO THANK YOU ANYWAY but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym

## shotcut 25.01.25+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,6 +42,9 @@
   Widgets
   Xml
 )
+if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
+  find_package(Qt6 6.4 REQUIRED COMPONENTS DBus)
+endif()
 
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(mlt++ REQUIRED IMPORTED_TARGET mlt++-7>=7.22.0)

=== debian/changelog ===
shotcut (25.01.25+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/README.source and d/shotcut.docs: dropped in favor of d/copyright.

 -- Alex Myczko <tar@debian.org>  Thu, 13 Feb 2025 11:34:02 +0000
